
{% extends '@ajax-layout/layout.twig' %}

{% block body %}
<script>

function sendForm(id)
{
	activeLoader();
    $.ajax({
    	url : '{{ path('Specifique114.BapPartiel.validation', {'numFact' : post.numFact }) }}',
        type: 'POST',
	  	dataType : 'JSON',
        data: $("#"+id).serialize(),
        success: function (data) {
        	if(data.statut=='O'){
	        	reloadGestionFacture('{{ path('Facture.GestionFacture.index') }}');
        	}
        	else{
        		desactiveLoader();
        		$('#message_erreur_popup').show().html(data.erreur);
        	}
        }
    });
}
$( ".modal-close" ).click(function() {
    reloadGestionFacture('{{ path('Facture.GestionFacture.index') }}');
});

$("#modal-title").html('{{ titrePopup }}');
</script>

<div class="modal-body">
	<div id="message_erreur_popup" class="error displayNone clearfix" ></div>
	<form method="post" name="form_bap_partiel" id="form_bap_partiel" class="bg_form padding_form border_form">
        <div>
            {{ "Le litige a été enregistré. Si vous souhaitez procéder à un règlement d'un BAP partiel, veuillez renseigner le montant" | trad }}
        </div>
        <div class="row">
            {{ inputCSAdvance({'codTab' : 'FAC_ENT', 'numFixe' : numFixe}) }} 
        </div>
        <div class="modal-footer">
            <button type="button" class="button secondaire" data-dismiss="modal" onclick="reloadGestionFacture('{{ path('Facture.GestionFacture.index') }}');">{{ 'Annuler' | trad }}</button>
            <button type="button" class="button principal"  onclick="sendForm('form_bap_partiel');">{{ 'Enregistrer' | trad }}</button>
        </div>
    </form>
</div>
{% endblock %}